Verify an email with a link's token; an invited user sets their password with it
POST
/v1/auth/verify-email
const url = 'https://example.com/v1/auth/verify-email';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"password":"example","token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/auth/verify-email \ --header 'Content-Type: application/json' \ --data '{ "password": "example", "token": "example" }'Who: anyone.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
password
required
string
token
required
string
Example generated
{ "password": "example", "token": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
created_at
required
string format: date-time
created_by
required
email
required
string
email_verified_at
required
string | null format: date-time
id
required
string
last_signed_in_at
required
string | null format: date-time
name
required
string
status
required
string | null
time_zone
required
string
updated_at
required
string format: date-time
Example
{ "created_by": { "kind": "user" }, "status": "invited"}default
Section titled “default”An error, as go-commons apperr maps it
Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string
Example generated
{ "error": { "code": "example", "fields": { "additionalProperty": "example" }, "message": "example" }}